Subject: bug#3586: More strange face things

From: Willi Richert <[email-masked]>
Date: Wed, 17 Jun 2009 13:58:23 +0200

Hi,

I have the following in my .emacs:

(require 'tabbar)

(set-face-attribute
 'tabbar-default-face nil
 :background "gray60")
(set-face-attribute
 'tabbar-unselected-face nil
 :background "gray85"
 :foreground "gray30"
 :box nil)
(set-face-attribute
 'tabbar-selected-face nil
 :background "#f2f2f6"
 :foreground "black"
 :box nil)
(set-face-attribute
 'tabbar-button-face nil
 :box '(:line-width 1 :color "gray72" :style released-button))
(set-face-attribute
 'tabbar-separator-face nil
 :height 1)
(when (require 'tabbar nil t)
      (setq tabbar-buffer-groups-function
    	(lambda (b) (list "All Buffers")))
      (setq tabbar-buffer-list-function
    	(lambda ()
    	  (remove-if
    	   (lambda(buffer)
    	     (find (aref (buffer-name buffer) 0) " *"))
    	   (buffer-list))))
      (tabbar-mode))

With this it does not work for more than 2 months now.

If I remove that and set 

(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(tabbar-default ((nil (:height 1)))))

in my .emacs, I can manually start tabbar (alt-x tabbar-mode).

If I insert (require 'tabbar) in .emacs, however, it again gives me the 
previous face error.

Regards,
wr